<?php
declare(strict_types=1);

namespace View;

class FrontPage extends BankingPage
{
    public function sendTitle(): void
    {
        echo 'Online-Banking';
    }

    public function sendMainContent(): void
    {
        echo '<h1>Online-Banking Instanz mit Sicherheitslücken</h1>';
        echo '<p>In dieser Applikation gibt es mindestens zwei Sicherheitslücken. Kannst du sie ausnutzen?</p>';
        echo '<p>Ablauf:</p><ol>';
        echo '<li>Registriere dich über das entsprechende Formular.</li>';
        echo '<li>Nenne mir deinen Nutzernamen.</li>';
        echo '<li>Du erhältst 1000,00 € Startkapital.</li>';
        echo '<li>Nutze mindestens eine Sicherheitslücke aus und erschleiche 1 Million € oder mehr.</li>';
        echo '</ol>';
        echo '<p class="pre">Die beiden beabsichtigten Lücken wurden jeweils in einem kurzen Text-Dokument beschrieben. Die SHA256-Hashwerte dieser Dokumente lauten:<br><br>';
        echo 'bb86334c2c4ecb4c3f35c35392a3867824216f0e23bee5c7b60953e41d7b7590  sicherheitsluecke-1.txt<br>';
        echo '75dde975461d9d20c81aa10a42ae886820bead9201bc032b16ce00dba873d89a  sicherheitsluecke-2.txt<br><br>';
        echo 'Damit kann später zweifelsfrei überprüft werden, ob eine gefundene Sicherheitslücke tatsächlich beabsichtigt war oder ob es sich um eine weitere, unbeabsichtigte Lücke handelt.</p>';
    }
}
