<?php
declare(strict_types=1);

namespace View;

class AccessDeniedPage extends BankingPage
{
    public function sendHeader(): void
    {
        http_response_code(403);
    }

    public function sendTitle(): void
    {
        echo 'Zugriff Verweigert';
    }

    public function sendMainContent(): void
    {
        echo '<h1>Zugriff Verweigert</h1>';
        echo '<p>Bitte wähle eine andere Seite in der Navigation aus.</p>';
    }
}
